package speiger.src.coreengine.rendering.guiOld.base;

public interface IKeyComponent extends IInputComponent
{
	public boolean isAcceptingInput();
	
	public default boolean isBlockingMovement() {return false;}
	
	public boolean onKeyPressed(int key);
	
	public default boolean onKeyTyped(char letter, int codepoint) {return false;}
}
